package yi.iu.processor.texture.reg;

/**
 * Color pattern segmenatin.  Don't don't connected component analysis at the
 * first step.
 */

public class LooseColorPatternSeg extends ColorPatternSeg {
  public LooseColorPatternSeg() {
  }


  /**
   * Not pre connected component analysis.  But will make label 0 reserved for
   * background for compatibility.
   * @param labels
   * @param width
   * @param height
   * @return
   */
  protected int[] preConnectedComponentAnalysis(int[] labels, int width, int height) {
    // region num 0: background
    int[] cc_labels = new int[labels.length];
    for (int i=0; i<cc_labels.length; i++) cc_labels[i] = labels[i] + 1;
    return cc_labels;
  }
}